org.apache.tinkerpop.gremlin.spark.structure.io.gryo.kryoshim.unshaded

## Class UnshadedKryoAdapter

- java.lang.Object
- - org.apache.tinkerpop.gremlin.spark.structure.io.gryo.kryoshim.unshaded.UnshadedKryoAdapter

- All Implemented Interfaces:
    KryoShim<UnshadedInputAdapter,UnshadedOutputAdapter>

      public class UnshadedKryoAdapter
      extends Object
      implements KryoShim<UnshadedInputAdapter,UnshadedOutputAdapter>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnshadedKryoAdapter(Kryo unshadedKryo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `readClassAndObject(UnshadedInputAdapter input)`
    `<T> T` | `readObject(UnshadedInputAdapter input, Class<T> type)`
    `<T> T` | `readObjectOrNull(UnshadedInputAdapter input, Class<T> type)`
    `void` | `writeClassAndObject(UnshadedOutputAdapter output, Object object)`
    `void` | `writeObject(UnshadedOutputAdapter output, Object object)`
    `void` | `writeObjectOrNull(UnshadedOutputAdapter output, Object object, Class type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnshadedKryoAdapter

          public UnshadedKryoAdapter(Kryo unshadedKryo)

  - ### Method Detail

    - #### readObject

          public <T> T readObject(UnshadedInputAdapter input,
                                  Class<T> type)

      Specified by:
        `readObject` in interface `KryoShim<UnshadedInputAdapter,UnshadedOutputAdapter>`

    - #### readClassAndObject

          public Object readClassAndObject(UnshadedInputAdapter input)

      Specified by:
        `readClassAndObject` in interface `KryoShim<UnshadedInputAdapter,UnshadedOutputAdapter>`

    - #### writeObject

          public void writeObject(UnshadedOutputAdapter output,
                                  Object object)

      Specified by:
        `writeObject` in interface `KryoShim<UnshadedInputAdapter,UnshadedOutputAdapter>`

    - #### writeClassAndObject

          public void writeClassAndObject(UnshadedOutputAdapter output,
                                          Object object)

      Specified by:
        `writeClassAndObject` in interface `KryoShim<UnshadedInputAdapter,UnshadedOutputAdapter>`

    - #### readObjectOrNull

          public <T> T readObjectOrNull(UnshadedInputAdapter input,
                                        Class<T> type)

      Specified by:
        `readObjectOrNull` in interface `KryoShim<UnshadedInputAdapter,UnshadedOutputAdapter>`

    - #### writeObjectOrNull

          public void writeObjectOrNull(UnshadedOutputAdapter output,
                                        Object object,
                                        Class type)

      Specified by:
        `writeObjectOrNull` in interface `KryoShim<UnshadedInputAdapter,UnshadedOutputAdapter>`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.